/****************************************************************************

Copyright (c) 2009 Intel Corporation.  All rights reserved. 



DISCLAIMER OF WARRANTY

NEITHER INTEL NOR ITS SUPPLIERS MAKE ANY REPRESENTATION OR WARRANTY OR

CONDITION OF ANY KIND WHETHER EXPRESS OR IMPLIED (EITHER IN FACT OR BY

OPERATION OF LAW) WITH RESPECT TO THE SOURCE CODE.  INTEL AND ITS SUPPLIERS

EXPRESSLY DISCLAIM ALL WARRANTIES OR CONDITIONS OF MERCHANTABILITY OR

FITNESS FOR A PARTICULAR PURPOSE.  INTEL AND ITS SUPPLIERS DO NOT WARRANT

THAT THE SOURCE CODE IS ERROR-FREE OR THAT OPERATION OF THE SOURCE CODE WILL

BE SECURE OR UNINTERRUPTED AND HEREBY DISCLAIM ANY AND ALL LIABILITY ON

ACCOUNT THEREOF.  THERE IS ALSO NO IMPLIED WARRANTY OF NON-INFRINGEMENT.

SOURCE CODE IS LICENSED TO LICENSEE ON AN "AS IS" BASIS AND NEITHER INTEL

NOR ITS SUPPLIERS WILL PROVIDE ANY SUPPORT, ASSISTANCE, INSTALLATION,

TRAINING OR OTHER SERVICES.  INTEL AND ITS SUPPLIERS WILL NOT PROVIDE ANY

UPDATES, ENHANCEMENTS OR EXTENSIONS. 


File Name:          seslib.h

Description:

    This file defines class seslib.

Environment (opt):
    OS: Ubuntu
    SE: Eclipse

Notes (opt):

  =====================================================================

  Revision   Revision History               Author     Date

  =====================================================================

  0.1        Create                        Sheng Lijie 2008/9/16

  =====================================================================

****************************************************************************/

#ifndef LIBSES_H_
#define LIBSES_H_

#include "IPCCommon.h"
#include "IPCCommonUtil.h"

#include "IPCAPIBase.h"
#include "IPCTeacherAPI.h"
#include "IPCStudentAPI.h"
#include "IPCTeacherDaemonAPI.h"
#include "IPCStudentDaemonAPI.h"

#include "IPCTeacherAPICallback.h"
#include "IPCStudentAPICallback.h"

#include "CStudentAPICallbackBase.h"
#include "CTeacherAPICallbackBase.h"

int InitializeSESLibrary(int libType, IPCAPI::IPCAPIBase** IPCPtr);
int UninitializeSESLibrary(IPCAPI::IPCAPIBase* IPCPtr);
void ReleaseController();

namespace IPCAPI
{

class IPCAPIManager
{
private:
	static IPCAPIBase * m_Instance;
public:
	static int GetInstance(int libType, IPCAPI::IPCAPIBase** IPCPtr);
	static int Release();

};

}

#endif /*SESLIB_H_*/
